=begin

(c) RENDERIZA 2013

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.

== Information
Author:: Renderiza
Name:: PanoScene
Version:: 1.0.0
SU Version:: v8
Date:: 7/20/2013
Description:: Create Panoramic Scenes.
History::
1.0.0:: 7/20/2013
	* Original release.  
=end

module RND_Extensions

	module RND_Panoscene
		require 'sketchup.rb'
		require 'RND_Panoscene/RND_Panoscene_loader.rb'
	end

	if !file_loaded?('rnd_menu_loader')
		@@rnd_tools_menu = UI.menu("Plugins").add_submenu("Renderiza Tools")
	end

	#------New menu Items---------------------------
	if !file_loaded?('rnd_ew_loader')
		@@rnd_ew_menu = @@rnd_tools_menu.add_submenu("Websites")
		@@rnd_ew_menu.add_separator
		@@rnd_ew_menu.add_item("Google Sites"){UI.openURL('https://sites.google.com/site/renderizastudio/')}
		@@rnd_ew_menu.add_item("Blogger"){UI.openURL('http://renderizastudio.blogspot.com/')}
		@@rnd_ew_menu.add_item("YouTube"){UI.openURL('http://www.youtube.com/renderizastudio')}
		@@rnd_ew_menu.add_item("Twitter"){UI.openURL('https://twitter.com/RenderizaStudio')}
		@@rnd_ew_menu.add_item("Google+"){UI.openURL('https://plus.google.com/u/0/100658341914902555650/posts')}
		@@rnd_tools_menu.add_separator
		@@rnd_ew_menu.add_separator
	end
	#------------------------------------------------

	if !file_loaded?(__FILE__) #then
		@@rnd_tools_menu.add_item('PanoScene') {
			Sketchup.active_model.select_tool RND_Extensions::RND_Panoscene::Panoscene.new
		}
		# Add toolbars
		rnd_panoscene_tb = UI::Toolbar.new "PanoScene"
		rnd_panoscene_cmd = UI::Command.new("PanoScene") {
			Sketchup.active_model.select_tool RND_Extensions::RND_Panoscene::Panoscene.new
		}

		# icons toolbar
		rnd_panoscene_cmd.small_icon = "img/rnd_panoscene_1_16.png"
		rnd_panoscene_cmd.large_icon = "img/rnd_panoscene_1_24.png"
		rnd_panoscene_cmd.tooltip = "PanoScene"
		rnd_panoscene_cmd.status_bar_text = "Create Panoramic Scenes."
		rnd_panoscene_cmd.menu_text = "PanoScene"
		rnd_panoscene_tb = rnd_panoscene_tb.add_item rnd_panoscene_cmd
		rnd_panoscene_tb.show

	end

	file_loaded('rnd_ew_loader')
	file_loaded('rnd_menu_loader')
	file_loaded(__FILE__)
end